Skip to navigation

Tenants Update

Preview
View as Markdown

Coming soon. Updates a tenant created by the authenticated Provider app. Omitted fields remain unchanged.

Required scope: private:agent_filesystem.tenants.manage

Endpoint format: RPC

Authentication: App

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

App-level OAuth 2.0 token (no user context). Use Authorization: Bearer <token>.

Obtain by calling the token endpoint with grant_type=client_credentials.

Only available on endpoints that declare app auth support.

Request

This endpoint expects an object.
tenantobjectRequired
Tenant to update.
Variant:
agent_filesystem.TenantSelector.tenant_idobjectRequired
Selects the tenant by its Agent Filesystem ID.
namestring or nullOptional1-255 characters
New display name for the tenant, when provided.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
namestring1-255 characters
Display name supplied by your system.
tenant_idstring1-256 characters
Agent Filesystem ID for the tenant.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error